package com.crm.web.service;

import com.crm.rely.backend.core.dto.base.ResultWithPagerDto;
import com.crm.rely.backend.core.entity.base.SingleLongEntity;
import com.crm.rely.backend.core.exception.ServiceException;
import com.crm.rely.backend.model.dto.web.notice.record.WebNoticeRecordDto;
import com.crm.rely.backend.model.entity.web.notice.record.WebNoticeRecordAddEntity;
import com.crm.rely.backend.model.entity.web.notice.record.WebNoticeRecordReadEntity;
import com.crm.rely.backend.model.entity.web.notice.record.WebNoticeRecordSearchPageEntity;

import java.util.List;

public interface WebNoticeRecordService {


    void add(List<WebNoticeRecordAddEntity> entities) throws ServiceException, InterruptedException;

    void add(WebNoticeRecordAddEntity entity) throws ServiceException;

    ResultWithPagerDto<WebNoticeRecordDto> searchPageList(WebNoticeRecordSearchPageEntity entity) throws Exception;

    WebNoticeRecordDto searchSingle(SingleLongEntity entity) throws Exception;

    Integer countRead(WebNoticeRecordSearchPageEntity entity) throws Exception;

    void read(WebNoticeRecordReadEntity entity) throws Exception;
}
